import time
import math
import RA2

comport = 3
RA2.OpenPort(comport)

#Delay to allow comms to flush
time.sleep(1.0)

RA2.HomeAll()

#Move above first counter
RA2.MoveToXYZ(220, 180, 50)

#While Moving
while RA2.IsMoving():
    time.sleep(0.1)

#Open Gripper
RA2.SetGripper(255)

#While Moving
while RA2.IsMoving():
    time.sleep(0.1)

#Move down onto first counter
RA2.MoveToXYZ(220, 180, 15)

#While Moving
while RA2.IsMoving():
    time.sleep(0.1)

#Close Gripper
RA2.SetGripper(60)

#While Moving
while RA2.IsMoving():
    time.sleep(0.1)

#Move above first counter
RA2.MoveToXYZ(220, 180, 50)

#While Moving
while RA2.IsMoving():
    time.sleep(0.1)

#Move Over Colour Sensor
RA2.MoveToXYZ(260, 40, 40)

#While Moving
while RA2.IsMoving():
    time.sleep(0.1)

r = RA2.GetColourSensor()

#Red?
if r[0]>=r[1] and r[0]>=r[2]:
    RA2.MoveToXYZ(-240, 80, 50)
    while RA2.IsMoving():
        time.sleep(0.1)
    RA2.MoveToXYZ(-240, 80, 15)
    while RA2.IsMoving():
        time.sleep(0.1)

#Green?
elif r[1]>=r[0] and r[1]>=r[2]:
    RA2.MoveToXYZ(-220, 160, 50)
    while RA2.IsMoving():
        time.sleep(0.1)
    RA2.MoveToXYZ(-220, 160, 15)
    while RA2.IsMoving():
        time.sleep(0.1)
  
#Blue?
elif r[2]>=r[0] and r[2]>=r[1]:
    RA2.MoveToXYZ(-230, 120, 50)
    #While Moving
    while RA2.IsMoving():
        time.sleep(0.1)
    RA2.MoveToXYZ(-230, 120, 15)
    while RA2.IsMoving():
        time.sleep(0.1)
    
#Open Gripper
RA2.SetGripper(255)